Index: zone_edge.cpp
===================================================================
--- zone_edge.cpp	(r‚vision 520)
+++ zone_edge.cpp	(copie de travail)
@@ -21,14 +21,11 @@
  * MA 02111-1307, USA.
  */
 
-// Ligo include
-#include "zone_edge.h"
 #include "nel/ligo/ligo_config.h"
+#include "nel/misc/matrix.h"
 #include "ligo_error.h"
+#include "zone_edge.h"
 
-// NeL include
-#include "nel/misc/matrix.h"
-
 using namespace NLMISC;
 
 namespace NLLIGO
Index: primitive_configuration.cpp
===================================================================
--- primitive_configuration.cpp	(r‚vision 520)
+++ primitive_configuration.cpp	(copie de travail)
@@ -21,9 +21,9 @@
  * MA 02111-1307, USA.
  */
 
-#include "nel/ligo/primitive_configuration.h"
 #include "nel/ligo/ligo_config.h"
 #include "nel/ligo/primitive.h"
+#include "nel/ligo/primitive_configuration.h"
 #include "nel/misc/i_xml.h"
 
 using namespace std;
Index: transition.h
===================================================================
--- transition.h	(r‚vision 520)
+++ transition.h	(copie de travail)
@@ -24,14 +24,10 @@
 #ifndef NL_TRANSITION_H
 #define NL_TRANSITION_H
 
+//#include "3d/zone.h" // NeL include
 #include "nel/misc/types_nl.h"
-
-// Ligo include
 #include "zone_edge.h"
 
-// NeL include
-//#include "3d/zone.h"
-
 namespace NLLIGO
 {
 
Index: zone_edge.h
===================================================================
--- zone_edge.h	(r‚vision 520)
+++ zone_edge.h	(copie de travail)
@@ -24,13 +24,13 @@
 #ifndef NL_ZONE_EDGE_H
 #define NL_ZONE_EDGE_H
 
-// NeL include
+
+#include <vector>
 #include "nel/misc/types_nl.h"
 #include "nel/misc/vector.h"
 
-// STL include
-#include <vector>
 
+
 namespace NLMISC
 {
 	class IStream;
Index: zone_template.cpp
===================================================================
--- zone_template.cpp	(r‚vision 520)
+++ zone_template.cpp	(copie de travail)
@@ -21,13 +21,14 @@
  * MA 02111-1307, USA.
  */
 
-#include "zone_template.h"
-#include "ligo_error.h"
+
 #include "nel/ligo/ligo_config.h"
-
+#include "nel/misc/matrix.h"
 #include "nel/misc/stream.h"
-#include "nel/misc/matrix.h"
+#include "ligo_error.h"
+#include "zone_template.h"
 
+
 using namespace std;
 using namespace NLMISC;
 
Index: ligo_error.h
===================================================================
--- ligo_error.h	(r‚vision 520)
+++ ligo_error.h	(copie de travail)
@@ -24,10 +24,9 @@
 #ifndef NL_LIGO_ERROR_H
 #define NL_LIGO_ERROR_H
 
+#include <vector>
 #include "nel/misc/types_nl.h"
 
-#include <vector>
-
 namespace NLLIGO
 {
 
Index: ligo_material.cpp
===================================================================
--- ligo_material.cpp	(r‚vision 520)
+++ ligo_material.cpp	(copie de travail)
@@ -21,11 +21,9 @@
  * MA 02111-1307, USA.
  */
 
+#include "ligo_error.h"
 #include "ligo_material.h"
 
-// Ligo include
-#include "ligo_error.h"
-
 //using namespace NL3D;
 
 namespace NLLIGO
Index: primitive.cpp
===================================================================
--- primitive.cpp	(r‚vision 520)
+++ primitive.cpp	(copie de travail)
@@ -21,13 +21,13 @@
  * MA 02111-1307, USA.
  */
 
-#include "nel/misc/types_nl.h"
-#include "nel/misc/hierarchical_timer.h"
+#include "nel/ligo/ligo_config.h"
 #include "nel/ligo/primitive.h"
-#include "nel/ligo/ligo_config.h"
 #include "nel/ligo/primitive_class.h"
+#include "nel/misc/hierarchical_timer.h"
 #include "nel/misc/i_xml.h"
 #include "nel/misc/path.h"
+#include "nel/misc/types_nl.h"
 
 using namespace NLMISC;
 using namespace std;
Index: zone_template.h
===================================================================
--- zone_template.h	(r‚vision 520)
+++ zone_template.h	(copie de travail)
@@ -24,13 +24,11 @@
 #ifndef NL_ZONE_TEMPLATE_H
 #define NL_ZONE_TEMPLATE_H
 
+#include <map>
 #include "nel/misc/types_nl.h"
 #include "nel/misc/vector.h"
-
 #include "zone_edge.h"
 
-#include <map>
-
 namespace NLLIGO
 {
 
Index: zone_bank.h
===================================================================
--- zone_bank.h	(r‚vision 520)
+++ zone_bank.h	(copie de travail)
@@ -24,11 +24,13 @@
 #ifndef NL_ZONE_BANK_H
 #define NL_ZONE_BANK_H
 
-#include "nel/misc/types_nl.h"
-#include "nel/misc/stream.h"
 #include <string>
 #include <vector>
+#include "nel/misc/stream.h"
+#include "nel/misc/types_nl.h"
 
+
+
 namespace NLLIGO
 {
 
Index: ligo_material.h
===================================================================
--- ligo_material.h	(r‚vision 520)
+++ ligo_material.h	(copie de travail)
@@ -24,12 +24,10 @@
 #ifndef NL_MATERIAL_LIGO_H
 #define NL_MATERIAL_LIGO_H
 
+//#include "3d/zone.h"		// NeL include
 #include "nel/misc/types_nl.h"
 #include "zone_template.h"
 
-// NeL include
-//#include "3d/zone.h"
-
 namespace NLLIGO
 {
 
Index: ligo_config.cpp
===================================================================
--- ligo_config.cpp	(r‚vision 520)
+++ ligo_config.cpp	(copie de travail)
@@ -21,16 +21,14 @@
  * MA 02111-1307, USA.
  */
 
+#include <cstdlib>
 #include "nel/ligo/ligo_config.h"
-
 #include "nel/ligo/primitive.h"
 #include "nel/misc/config_file.h"
+#include "nel/misc/file.h"
 #include "nel/misc/i_xml.h"
 #include "nel/misc/path.h"
-#include "nel/misc/file.h"
 
-#include <cstdlib>
-
 using namespace std;
 using namespace NLMISC;
 
Index: zone_region.h
===================================================================
--- zone_region.h	(r‚vision 520)
+++ zone_region.h	(copie de travail)
@@ -26,10 +26,11 @@
 
 // ***************************************************************************
 
+#include <string>
+#include <vector>
 #include "nel/misc/stream.h"
-#include <vector>
-#include <string>
 
+
 namespace NLLIGO
 {
 
Index: transition.cpp
===================================================================
--- transition.cpp	(r‚vision 520)
+++ transition.cpp	(copie de travail)
@@ -21,12 +21,10 @@
  * MA 02111-1307, USA.
  */
 
-#include "transition.h"
-
-// Ligo include
-#include "zone_template.h"
 #include "ligo_error.h"
 #include "ligo_material.h"
+#include "transition.h"
+#include "zone_template.h"
 
 namespace NLLIGO
 {
Index: primitive_class.cpp
===================================================================
--- primitive_class.cpp	(r‚vision 520)
+++ primitive_class.cpp	(copie de travail)
@@ -21,9 +21,9 @@
  * MA 02111-1307, USA.
  */
 
+#include "nel/ligo/ligo_config.h"
+#include "nel/ligo/primitive.h"
 #include "nel/ligo/primitive_class.h"
-#include "nel/ligo/primitive.h"
-#include "nel/ligo/ligo_config.h"
 #include "nel/misc/i_xml.h"
 #include "nel/misc/path.h"
 