
Property changes on: .
___________________________________________________________________
Added: svn:ignore
   + external


Index: nel/include/nel/misc/common.h
===================================================================
--- nel/include/nel/misc/common.h	(revision 824)
+++ nel/include/nel/misc/common.h	(working copy)
@@ -322,11 +322,11 @@
 uint32 humanReadableToBytes (const std::string &str);
 
 /// Convert a time into a string that is easily readable by an human, for example 3600 -> "1h"
-std::string secondsToHumanReadable (uint32 time);
+std::string secondsToHumanReadable (time_t time);
 
 
 /// Get a bytes or time in string format and convert it in seconds or bytes
-uint32 fromHumanReadable (const std::string &str);
+time_t fromHumanReadable (const std::string &str);
 
 
 /// This function executes a program in the background and returns instantly (used for example to launch services in AES).
Index: nel/include/nel/misc/time_nl.h
===================================================================
--- nel/include/nel/misc/time_nl.h	(revision 824)
+++ nel/include/nel/misc/time_nl.h	(working copy)
@@ -62,7 +62,7 @@
 	 * daylight saving if applicable.
 	 * This values is the same on all computer if computers are synchronized (with NTP for example).
 	 */
-	static uint32	getSecondsSince1970 ();
+	static time_t	getSecondsSince1970 ();
 
 	/** Return the number of second since midnight (00:00:00), January 1, 1970,
 	 * coordinated universal time, according to the system clock.
Index: nel/include/nel/net/admin.h
===================================================================
--- nel/include/nel/net/admin.h	(revision 824)
+++ nel/include/nel/net/admin.h	(working copy)
@@ -58,7 +58,7 @@
 	std::string Name;		// variable name
 	int	 Update;			// delta time in second when we have to check variable
 
-	uint32	LastUpdate;		// in second
+	time_t	LastUpdate;		// in second
 };
 
 typedef void (*TRemoteClientCallback) (uint32 rid, const std::string &cmd, const std::string &entityNames);
Index: nel/include/nel/net/service.h
===================================================================
--- nel/include/nel/net/service.h	(revision 824)
+++ nel/include/nel/net/service.h	(working copy)
@@ -237,7 +237,7 @@
 	sint							getExitStatus () const { return _ExitStatus; }
 
 	/// Returns the date of launch of the service. Unit: see CTime::getSecondsSince1970()
-	uint32							getLaunchingDate () const;
+	time_t							getLaunchingDate () const;
 
 	/// Return true if this service don't use the NS (naming service)
 	bool							getDontUseNS() const { return _DontUseNS; };
Index: nel/src/misc/common.cpp
===================================================================
--- nel/src/misc/common.cpp	(revision 824)
+++ nel/src/misc/common.cpp	(working copy)
@@ -395,13 +395,13 @@
 }
 
 
-string secondsToHumanReadable (uint32 time)
+string secondsToHumanReadable (time_t time)
 {
 	static const char *divTable[] = { "s", "mn", "h", "d" };
 	static uint  divCoef[]  = { 60, 60, 24 };
 	uint div = 0;
-	uint32 res = time;
-	uint32 newres = res;
+	time_t res = time;
+	time_t newres = res;
 	for(;;)
 	{
 		if(div > 2)
@@ -418,12 +418,12 @@
 	return toString ("%u%s", res, divTable[div]);
 }
 
-uint32 fromHumanReadable (const std::string &str)
+time_t fromHumanReadable (const std::string &str)
 {
 	if (str.size() == 0)
 		return 0;
 
-	uint32 val;
+	time_t val;
 	fromString(str, val);
 
 	switch (str[str.size()-1])
@@ -451,7 +451,7 @@
 	if (args.size() != 1)
 		return false;
 
-	uint32 seconds;
+	time_t seconds;
 	fromString(args[0], seconds);
 	log.displayNL("%s -> %s", args[0].c_str(), secondsToHumanReadable(seconds).c_str());
 
Index: nel/src/misc/time_nl.cpp
===================================================================
--- nel/src/misc/time_nl.cpp	(revision 824)
+++ nel/src/misc/time_nl.cpp	(working copy)
@@ -48,9 +48,9 @@
  * coordinated universal time, according to the system clock.
  * This values is the same on all computer if computers are synchronized (with NTP for example).
  */
-uint32 CTime::getSecondsSince1970 ()
+time_t CTime::getSecondsSince1970 ()
 {
-	return uint32(time(NULL));
+	return time_t(time(NULL));
 }
 
 /** Return the number of second since midnight (00:00:00), January 1, 1970,
Index: nel/src/net/admin.cpp
===================================================================
--- nel/src/net/admin.cpp	(revision 824)
+++ nel/src/net/admin.cpp	(working copy)
@@ -68,7 +68,7 @@
 	uint			NbWaiting;
 	uint32			NbReceived;
 	TServiceId			SId;
-	uint32			Time;	// when the request was ask
+	time_t			Time;	// when the request was ask
 
 	TAdminViewResult Answers;
 };
@@ -304,7 +304,7 @@
 
 static void cleanRequest ()
 {
-	uint32 currentTime = CTime::getSecondsSince1970 ();
+	time_t currentTime = CTime::getSecondsSince1970 ();
 
 	for (uint i = 0 ; i < Requests.size ();)
 	{
@@ -634,7 +634,7 @@
 
 void updateAdmin()
 {
-	uint32 CurrentTime = CTime::getSecondsSince1970();
+	time_t CurrentTime = CTime::getSecondsSince1970();
 
 
 	//
@@ -648,7 +648,7 @@
 	// Check graph updates
 	//
 
-	static uint32 lastGraphUpdateCheck = 0;
+	static time_t lastGraphUpdateCheck = 0;
 
 	if (CurrentTime >= lastGraphUpdateCheck+1)
 	{
@@ -714,7 +714,7 @@
 	// Check alarms
 	//
 
-	static uint32 lastAlarmsCheck = 0;
+	static time_t lastAlarmsCheck = 0;
 
 	if (CurrentTime >= lastAlarmsCheck+AlarmCheckDelay)
 	{
Index: nel/src/net/login_server.cpp
===================================================================
--- nel/src/net/login_server.cpp	(revision 824)
+++ nel/src/net/login_server.cpp	(working copy)
@@ -51,7 +51,7 @@
 	string UserExtended;	// extended data (for free use)
 	uint32 InstanceId;		// the world instance in witch the user is awaited
 	uint32 CharSlot;		// the expected character slot, any other will be denied
-	uint32 Time;			// when the cookie is inserted in pending list
+	time_t Time;			// when the cookie is inserted in pending list
 };
 
 static list<CPendingUser> PendingUsers;
@@ -96,7 +96,7 @@
 	// delete too old cookie
 
 	list<CPendingUser>::iterator it = PendingUsers.begin();
-	uint32 Time = CTime::getSecondsSince1970();
+	time_t Time = CTime::getSecondsSince1970();
 	while (it != PendingUsers.end ())
 	{
 		if ((*it).Time < Time - TimeBeforeEraseCookie)
Index: nel/src/net/module_gateway_transport.cpp
===================================================================
--- nel/src/net/module_gateway_transport.cpp	(revision 824)
+++ nel/src/net/module_gateway_transport.cpp	(working copy)
@@ -56,7 +56,7 @@
 		TSockId			SockId;
 
 		/// Time stamp of last message received/emitted
-		mutable uint32	LastCommTime;
+		mutable time_t	LastCommTime;
 
 
 		CL3ServerRoute(IGatewayTransport *transport)
@@ -115,7 +115,7 @@
 			if (_CallbackServer.get() != NULL)
 				_CallbackServer->update2(100, 0);
 
-			uint32 now = CTime::getSecondsSince1970();
+			time_t now = CTime::getSecondsSince1970();
 			// check each connected client for keep alive
 			TRouteMap::iterator first(_Routes.begin()), last(_Routes.end());
 			for (; first != last; ++first)
@@ -402,10 +402,10 @@
 		/// The Client callback
 		mutable CCallbackClient		CallbackClient;
 		/// Time stamp of last message received/emitted
-		mutable uint32				LastCommTime;
+		mutable time_t				LastCommTime;
 
 		/// The last time we try to reconnect (in case of disconnection)
-		uint32						LastConnectionRetry;
+		time_t						LastConnectionRetry;
 
 		// conn id
 		uint32						ConnId;
@@ -521,7 +521,7 @@
 			// delete any route pending
 			deletePendingRoute();
 
-			uint32 now = CTime::getSecondsSince1970();
+			time_t now = CTime::getSecondsSince1970();
 			// update the client connection
 			TClientRoutes::iterator first(_Routes.begin()), last(_Routes.end());
 			for (; first != last; ++first)
Index: nel/src/net/service.cpp
===================================================================
--- nel/src/net/service.cpp	(revision 824)
+++ nel/src/net/service.cpp	(working copy)
@@ -140,7 +140,7 @@
 //static CLog commandLog;
 
 static string CompilationDate;
-static uint32 LaunchingDate;
+static time_t LaunchingDate;
 
 static uint32 NbUserUpdate = 0;
 
@@ -1705,7 +1705,7 @@
 /*
  * Returns the date of launch of the service. Unit: see CTime::getSecondsSince1970()
  */
-uint32		IService::getLaunchingDate () const
+time_t		IService::getLaunchingDate () const
 {
 	return LaunchingDate;
 }
Index: nelns/admin_executor_service/admin_executor_service.cpp
===================================================================
--- nelns/admin_executor_service/admin_executor_service.cpp	(revision 824)
+++ nelns/admin_executor_service/admin_executor_service.cpp	(working copy)
@@ -100,7 +100,7 @@
 	uint			NbWaiting;
 	uint32			NbReceived;
 	TServiceId		SId;
-	uint32			Time;	// when the request was ask
+	time_t			Time;	// when the request was ask
 
 	TAdminViewResult Answers;
 };
@@ -122,7 +122,7 @@
 	uint32			PId;			/// process Id used to kill the application
 	bool			Relaunch;		/// if true, it means that the admin want to close and relaunch the service
 
-	uint32			LastPing;		/// time in seconds of the last ping sent. If 0, means that the service already pong
+	time_t			LastPing;		/// time in seconds of the last ping sent. If 0, means that the service already pong
 
 	vector<uint32>	WaitingRequestId;		/// contains all request that the server hasn't reply yet
 
@@ -197,7 +197,7 @@
 
 vector<string> RegisteredServices;
 
-vector<pair<uint32, string> > WaitingToLaunchServices;	// date and alias name
+vector<pair<time_t, string> > WaitingToLaunchServices;	// date and alias name
 
 vector<string> AllAdminAlarms;	// contains *all* alarms
 
@@ -208,7 +208,7 @@
 // Global Variables (scalars)
 //
 
-uint32 LastPing = 0;		// contains the date of the last ping sent to the services
+time_t LastPing = 0;		// contains the date of the last ping sent to the services
 
 
 //
@@ -502,7 +502,7 @@
 
 void checkWaitingServices()
 {
-	uint32 d = CTime::getSecondsSince1970();
+	time_t d = CTime::getSecondsSince1970();
 
 	for(uint i = 0; i < WaitingToLaunchServices.size(); )
 	{
@@ -520,7 +520,7 @@
 
 static void checkPingPong()
 {
-	uint32 d = CTime::getSecondsSince1970();
+	time_t d = CTime::getSecondsSince1970();
 
 	bool allPonged = true;
 	bool haveService = false;
@@ -692,7 +692,7 @@
 
 void cleanRequests()
 {
-	uint32 currentTime = CTime::getSecondsSince1970();
+	time_t currentTime = CTime::getSecondsSince1970();
 
 	// just a debug check
 	for (uint t = 0 ; t < Requests.size(); t++)
Index: nelns/admin_service/admin_service.cpp
===================================================================
--- nelns/admin_service/admin_service.cpp	(revision 824)
+++ nelns/admin_service/admin_service.cpp	(working copy)
@@ -103,7 +103,7 @@
 	uint			NbWaiting;
 	uint32			NbReceived;
 	TSockId			From;
-	uint32			Time;	// when the request was ask
+	time_t			Time;	// when the request was ask
 	
 	uint32			NbRow;
 	uint32			NbLines;
@@ -297,7 +297,7 @@
 //
 
 string Email;
-uint32 FirstEmailTime = 0;
+time_t FirstEmailTime = 0;
 
 void sendAdminAlert (const char *format, ...)
 {
@@ -541,7 +541,7 @@
 
 void cleanRequest ()
 {
-	uint32 currentTime = CTime::getSecondsSince1970 ();
+	time_t currentTime = CTime::getSecondsSince1970 ();
 
 	bool timeout;
 
Index: tool/path_content_diff/path_content_diff.cpp
===================================================================
--- tool/path_content_diff/path_content_diff.cpp	(revision 824)
+++ tool/path_content_diff/path_content_diff.cpp	(working copy)
@@ -131,7 +131,7 @@
 	*/
 //
 
-	uint32 LastDisplay = 0, curFile = 0;
+	time_t LastDisplay = 0, curFile = 0;
 
 	// get the list of new or modified files
 	vector<string> differentFiles;