diff -r 03326250bfc5 code/ryzom/tools/scripts/linux/build
--- a/code/ryzom/tools/scripts/linux/build	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/tools/scripts/linux/build	Thu May 06 22:45:16 2010 +0200
@@ -49,7 +49,7 @@
 
 # Set the source directory. Use the environment SRC_DIR variable, if it's
 # not set, use $HOME/cvs as a default value
-SRC_DIR="$HOME/code"
+SRC_DIR="$RYZOM_PATH/../../code"
 
 # Build diretories
 BUILD_DEBUG="$SRC_DIR/build/debug"
@@ -74,10 +74,10 @@
 ###########################################################################
 
 # Flag files associated to each mode
-DEBUG_FILE="$HOME/.mode_debug"
-STATIC_FILE="$HOME/.mode_static"
-DYNAMIC_FILE="$HOME/.mode_dynamic"
-SILENT_FILE="$HOME/.mode_silent"
+DEBUG_FILE="$RYZOM_PATH/.mode_debug"
+STATIC_FILE="$RYZOM_PATH/.mode_static"
+DYNAMIC_FILE="$RYZOM_PATH/.mode_dynamic"
+SILENT_FILE="$RYZOM_PATH/.mode_silent"
 
 # Specify the source code directory of each projects
 NEL_SRC="$SRC_DIR/nel"
diff -r 03326250bfc5 code/ryzom/tools/scripts/linux/buildmode
--- a/code/ryzom/tools/scripts/linux/buildmode	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/tools/scripts/linux/buildmode	Thu May 06 22:45:16 2010 +0200
@@ -4,11 +4,11 @@
 ###########################################################################
 
 # Files associated to each mode
-DEBUG_FILE=$HOME/.mode_debug
-#RELEASE_FILE=$HOME/.mode_release
-STATIC_FILE=$HOME/.mode_static
-DYNAMIC_FILE=$HOME/.mode_dynamic
-SILENT_FILE=$HOME/.mode_silent
+DEBUG_FILE=$RYZOM_PATH/.mode_debug
+#RELEASE_FILE=$RYZOM_PATH/.mode_release
+STATIC_FILE=$RYZOM_PATH/.mode_static
+DYNAMIC_FILE=$RYZOM_PATH/.mode_dynamic
+SILENT_FILE=$RYZOM_PATH/.mode_silent
 
 
 ###########################################################################
diff -r 03326250bfc5 code/ryzom/tools/scripts/linux/make_all
--- a/code/ryzom/tools/scripts/linux/make_all	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/tools/scripts/linux/make_all	Thu May 06 22:45:16 2010 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh -
 
-RYZOM_PATH="$HOME/code/ryzom"
+export RYZOM_PATH="$HOME/code/ryzom"
 
 . $RYZOM_PATH/tools/scripts/linux/utilities
 
diff -r 03326250bfc5 code/ryzom/tools/scripts/linux/utilities
--- a/code/ryzom/tools/scripts/linux/utilities	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/tools/scripts/linux/utilities	Thu May 06 22:45:16 2010 +0200
@@ -3,12 +3,12 @@
 SSH_AGENT_FILE="$HOME/ssh_agent_file"
 
 BASENAME=`basename $0`
-LOG_INFO="$HOME/log/${BASENAME}_info.log"
-LOG_ERROR="$HOME/log/${BASENAME}_error.log"
+LOG_INFO="$RYZOM_PATH/log/${BASENAME}_info.log"
+LOG_ERROR="$RYZOM_PATH/log/${BASENAME}_error.log"
 
 # first param is the subject line
 # others params are email
-function send_mail()
+send_mail()
 {
 	SUBJECT=$1
 	shift
@@ -16,13 +16,13 @@
 	cat $LOG_ERROR | mail -s "$SUBJECT on `hostname`" $*
 }
 
-function print_success()
+print_success()
 {
 	echo "*********************** $* SUCCESS !"
 	echo
 }
 
-function print_failure()
+print_failure()
 {
 	echo "***************************************************"
 	echo "***************************************************"
@@ -34,7 +34,7 @@
 
 # failed fill the log and send email if necessary
 # argument are the error message
-function failed()
+failed()
 {
 	print_failure $*
 	if [ "X$LOG_INFO" != "X" ]
@@ -59,7 +59,7 @@
 
 # useful function to avoid continuing if something goes wrong
 # first param is $? and second is the string that will display
-function verify()
+verify()
 {
 	if [ $1 -eq 0 ]
 		then
@@ -80,7 +80,7 @@
 }
 
 # step_failed() fills the log and increments $STEPS_FAILURES
-function step_failed()
+step_failed()
 {
 	print_failure $*
 	if [ "X$LOG_INFO" != "X" ]
@@ -102,7 +102,7 @@
 
 # call init_steps() before you use step()
 # it takes a label for following steps as parameter
-function init_steps()
+init_steps()
 {
 	STEPS_LABEL="$*"
 	STEPS_FAILURES=0
@@ -110,7 +110,7 @@
 
 # like verify() but will continue even if step failed until verify_steps() is called
 # first param is $? and second is the string that will display
-function step()
+step()
 {
 	if [ $1 -eq 0 ]
 		then
@@ -131,7 +131,7 @@
 }
 
 # call verify_steps() when you want to stop if error(s) occured in previous steps
-function verify_steps()
+verify_steps()
 {
     if [ $STEPS_FAILURES -eq 0 ]
         then
@@ -154,7 +154,7 @@
     fi
 }
 
-function ask_confirmation()
+ask_confirmation()
 {
 	echo "Using this script will destroy the current version, type 'yes' if you really want to do that"
 	read CONF
@@ -163,7 +163,7 @@
 	fi
 }
 
-function check_host()
+check_host()
 {
 	HOST=`hostname -s`
 	if [ "X$HOST" != "X$1" ]; then
@@ -172,10 +172,11 @@
 }
 
 # useful function to initialize the default log for all scripts
-function init()
+init()
 {
 	if [ "X$LOG_INFO" != "X" ]
 		then
+		test -d `dirname $LOG_INFO` || mkdir -p `dirname $LOG_INFO`
 		test ! -f $LOG_INFO || rm $LOG_INFO
 		touch $LOG_INFO
 		# display all ulimit in the log
@@ -184,12 +185,13 @@
 
 	if [ "X$LOG_ERROR" != "X" ]
 		then
+		test -d `dirname $LOG_ERROR` || mkdir -p `dirname $LOG_ERROR`
 		test ! -f $LOG_ERROR || rm $LOG_ERROR
 		touch $LOG_ERROR
 	fi
 }
 
-function init_ssh()
+init_ssh()
 {
 	if [ ! -f $SSH_AGENT_FILE ]
 		then