diff -r 03326250bfc5 code/nel/samples/3d/font/Makefile
--- a/code/nel/samples/3d/font/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/nel/samples/3d/font/Makefile	Fri May 07 13:21:59 2010 +0200
@@ -11,14 +11,14 @@
 
 # The flags for the C++ compiler
 CXXFLAGS     = -g -pipe -D_REENTRANT -D_GNU_SOURCE \
-				-I$(HOME)/cvs/code/nel/include \
-				-I$(HOME)/cvs/code/nel/src \
-				-I$(HOME)/installs/STLport-4.0/stlport \
+				-I$(RYZOM_HOME)/cvs/code/nel/include \
+				-I$(RYZOM_HOME)/cvs/code/nel/src \
+				-I$(RYZOM_HOME)/installs/STLport-4.0/stlport \
 				-I/usr/local/include \
 				-I/usr/local/include/freetype2
 
 # The flags for the linker
-LDFLAGS      = -L$(HOME)/build/debug/nel/lib \
+LDFLAGS      = -L$(RYZOM_HOME)/build/debug/nel/lib \
 				-L/home/installs/STLport-4.0/lib \
 				-L/usr/local/lib \
 				-lnelmisc \
diff -r 03326250bfc5 code/nel/samples/misc/command/Makefile
--- a/code/nel/samples/misc/command/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/nel/samples/misc/command/Makefile	Fri May 07 13:21:59 2010 +0200
@@ -13,13 +13,13 @@
 
 # The flags for the C++ compiler
 CXXFLAGS     = -g -pipe -D_REENTRANT -D_GNU_SOURCE \
-				-I$(HOME)/cvs/code/nel/include \
-				-I$(HOME)/installs/STLport-4.0/stlport \
+				-I$(RYZOM_HOME)/cvs/code/nel/include \
+				-I$(RYZOM_HOME)/installs/STLport-4.0/stlport \
 				-I/usr/local/include \
 				-I/usr/local/include/freetype2
 
 # The flags for the linker
-LDFLAGS      = -L$(HOME)/build/debug/nel/lib \
+LDFLAGS      = -L$(RYZOM_HOME)/build/debug/nel/lib \
 				-L/home/installs/STLport-4.0/lib \
 				-L/usr/local/lib \
 				-lnelmisc \
diff -r 03326250bfc5 code/nel/samples/misc/configfile/Makefile
--- a/code/nel/samples/misc/configfile/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/nel/samples/misc/configfile/Makefile	Fri May 07 13:21:59 2010 +0200
@@ -11,13 +11,13 @@
 
 # The flags for the C++ compiler
 CXXFLAGS     = -g -pipe -D_REENTRANT -D_GNU_SOURCE \
-				-I$(HOME)/cvs/code/nel/include \
-				-I$(HOME)/installs/STLport-4.0/stlport \
+				-I$(RYZOM_HOME)/cvs/code/nel/include \
+				-I$(RYZOM_HOME)/installs/STLport-4.0/stlport \
 				-I/usr/local/include \
 				-I/usr/local/include/freetype2
 
 # The flags for the linker
-LDFLAGS      = -L$(HOME)/build/debug/nel/lib \
+LDFLAGS      = -L$(RYZOM_HOME)/build/debug/nel/lib \
 				-L/home/installs/STLport-4.0/lib \
 				-L/usr/local/lib \
 				-lnelmisc \
diff -r 03326250bfc5 code/nel/samples/misc/debug/Makefile
--- a/code/nel/samples/misc/debug/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/nel/samples/misc/debug/Makefile	Fri May 07 13:21:59 2010 +0200
@@ -11,12 +11,12 @@
 
 # The flags for the C++ compiler
 CXXFLAGS     = -g -pipe -D_REENTRANT -D_GNU_SOURCE \
-				-I$(HOME)/cvs/code/nel/include \
+				-I$(RYZOM_HOME)/cvs/code/nel/include \
 				-I/usr/include/stlport \
 				-I/usr/include/freetype2
 
 # The flags for the linker
-LDFLAGS      = -L$(HOME)/install/release/lib \
+LDFLAGS      = -L$(RYZOM_HOME)/install/release/lib \
 				-L/home/installs/STLport-4.0/lib \
 				-L/usr/local/lib \
 				-lnelmisc \
diff -r 03326250bfc5 code/nel/samples/misc/log/Makefile
--- a/code/nel/samples/misc/log/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/nel/samples/misc/log/Makefile	Fri May 07 13:21:59 2010 +0200
@@ -11,13 +11,13 @@
 
 # The flags for the C++ compiler
 CXXFLAGS     = -g -pipe -D_REENTRANT -D_GNU_SOURCE \
-				-I$(HOME)/cvs/code/nel/include \
-				-I$(HOME)/installs/STLport-4.0/stlport \
+				-I$(RYZOM_HOME)/cvs/code/nel/include \
+				-I$(RYZOM_HOME)/installs/STLport-4.0/stlport \
 				-I/usr/local/include \
 				-I/usr/local/include/freetype2
 
 # The flags for the linker
-LDFLAGS      = -L$(HOME)/build/debug/nel/lib \
+LDFLAGS      = -L$(RYZOM_HOME)/build/debug/nel/lib \
 				-L/home/installs/STLport-4.0/lib \
 				-L/usr/local/lib \
 				-lnelmisc \
diff -r 03326250bfc5 code/nel/samples/misc/strings/Makefile
--- a/code/nel/samples/misc/strings/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/nel/samples/misc/strings/Makefile	Fri May 07 13:21:59 2010 +0200
@@ -11,13 +11,13 @@
 
 # The flags for the C++ compiler
 CXXFLAGS     = -g -pipe -D_REENTRANT -D_GNU_SOURCE \
-				-I$(HOME)/cvs/code/nel/include \
-				-I$(HOME)/installs/STLport-4.0/stlport \
+				-I$(RYZOM_HOME)/cvs/code/nel/include \
+				-I$(RYZOM_HOME)/installs/STLport-4.0/stlport \
 				-I/usr/local/include \
 				-I/usr/local/include/freetype2
 
 # The flags for the linker
-LDFLAGS      = -L$(HOME)/build/debug/nel/lib \
+LDFLAGS      = -L$(RYZOM_HOME)/build/debug/nel/lib \
 				-L/home/installs/STLport-4.0/lib \
 				-L/usr/local/lib \
 				-lnelmisc \
diff -r 03326250bfc5 code/nel/samples/misc/types_check/Makefile
--- a/code/nel/samples/misc/types_check/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/nel/samples/misc/types_check/Makefile	Fri May 07 13:21:59 2010 +0200
@@ -11,13 +11,13 @@
 
 # The flags for the C++ compiler
 CXXFLAGS     = -g -pipe -D_REENTRANT -D_GNU_SOURCE \
-				-I$(HOME)/cvs/code/nel/include \
-				-I$(HOME)/installs/STLport-4.0/stlport \
+				-I$(RYZOM_HOME)/cvs/code/nel/include \
+				-I$(RYZOM_HOME)/installs/STLport-4.0/stlport \
 				-I/usr/local/include \
 				-I/usr/local/include/freetype2
 
 # The flags for the linker
-LDFLAGS      = -L$(HOME)/build/debug/nel/lib \
+LDFLAGS      = -L$(RYZOM_HOME)/build/debug/nel/lib \
 				-L/home/installs/STLport-4.0/lib \
 				-L/usr/local/lib \
 				-lnelmisc \
diff -r 03326250bfc5 code/nel/samples/net/class_transport/Makefile
--- a/code/nel/samples/net/class_transport/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/nel/samples/net/class_transport/Makefile	Fri May 07 13:21:59 2010 +0200
@@ -11,13 +11,13 @@
 
 # The flags for the C++ compiler
 CXXFLAGS     = -g -pipe -D_REENTRANT -D_GNU_SOURCE \
-				-I$(HOME)/cvs/code/nel/include \
-				-I$(HOME)/installs/STLport-4.0/stlport \
+				-I$(RYZOM_HOME)/cvs/code/nel/include \
+				-I$(RYZOM_HOME)/installs/STLport-4.0/stlport \
 				-I/usr/local/include \
 				-I/usr/local/include/freetype2
 
 # The flags for the linker
-LDFLAGS      = -L$(HOME)/build/debug/nel/lib \
+LDFLAGS      = -L$(RYZOM_HOME)/build/debug/nel/lib \
 				-L/home/installs/STLport-4.0/lib \
 				-L/usr/local/lib \
 				-lnelmisc \
diff -r 03326250bfc5 code/nel/samples/net/login_system/Makefile
--- a/code/nel/samples/net/login_system/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/nel/samples/net/login_system/Makefile	Fri May 07 13:21:59 2010 +0200
@@ -12,13 +12,13 @@
 # The flags for the C++ compiler
 CXXFLAGS     = -g -pipe -D_REENTRANT -D_GNU_SOURCE \
 				-I/home/installs/STLport-4.0/stlport \
-				-I$(HOME)/install/release/include \
+				-I$(RYZOM_HOME)/install/release/include \
 				-I/usr/local/include \
 
 # The flags for the linker
 LDFLAGS      = \
 				-L/home/installs/STLport-4.0/lib \
-				-L$(HOME)/install/release/lib \
+				-L$(RYZOM_HOME)/install/release/lib \
 				-L/usr/local/lib \
 				-L/usr/lib \
 				-lnelmisc \
diff -r 03326250bfc5 code/nel/samples/net/multi_shards/Makefile
--- a/code/nel/samples/net/multi_shards/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/nel/samples/net/multi_shards/Makefile	Fri May 07 13:21:59 2010 +0200
@@ -11,13 +11,13 @@
 
 # The flags for the C++ compiler
 CXXFLAGS     = -g -pipe -D_REENTRANT -D_GNU_SOURCE \
-				-I$(HOME)/cvs/code/nel/include \
-				-I$(HOME)/installs/STLport-4.0/stlport \
+				-I$(RYZOM_HOME)/cvs/code/nel/include \
+				-I$(RYZOM_HOME)/installs/STLport-4.0/stlport \
 				-I/usr/local/include \
 				-I/usr/local/include/freetype2
 
 # The flags for the linker
-LDFLAGS      = -L$(HOME)/build/debug/nel/lib \
+LDFLAGS      = -L$(RYZOM_HOME)/build/debug/nel/lib \
 				-L/home/installs/STLport-4.0/lib \
 				-L/usr/local/lib \
 				-lnelmisc \
diff -r 03326250bfc5 code/nel/samples/net/net_layer3/Makefile
--- a/code/nel/samples/net/net_layer3/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/nel/samples/net/net_layer3/Makefile	Fri May 07 13:21:59 2010 +0200
@@ -11,13 +11,13 @@
 
 # The flags for the C++ compiler
 CXXFLAGS     = -g -pipe -D_REENTRANT -D_GNU_SOURCE \
-				-I$(HOME)/cvs/code/nel/include \
-				-I$(HOME)/installs/STLport-4.0/stlport \
+				-I$(RYZOM_HOME)/cvs/code/nel/include \
+				-I$(RYZOM_HOME)/installs/STLport-4.0/stlport \
 				-I/usr/local/include \
 				-I/usr/local/include/freetype2
 
 # The flags for the linker
-LDFLAGS      = -L$(HOME)/build/debug/nel/lib \
+LDFLAGS      = -L$(RYZOM_HOME)/build/debug/nel/lib \
 				-L/home/installs/STLport-4.0/lib \
 				-L/usr/local/lib \
 				-lnelmisc \
diff -r 03326250bfc5 code/nel/samples/net/net_layer4/Makefile
--- a/code/nel/samples/net/net_layer4/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/nel/samples/net/net_layer4/Makefile	Fri May 07 13:21:59 2010 +0200
@@ -11,13 +11,13 @@
 
 # The flags for the C++ compiler
 CXXFLAGS     = -g -pipe -D_REENTRANT -D_GNU_SOURCE \
-				-I$(HOME)/cvs/code/nel/include \
-				-I$(HOME)/installs/STLport-4.0/stlport \
+				-I$(RYZOM_HOME)/cvs/code/nel/include \
+				-I$(RYZOM_HOME)/installs/STLport-4.0/stlport \
 				-I/usr/local/include \
 				-I/usr/local/include/freetype2
 
 # The flags for the linker
-LDFLAGS      = -L$(HOME)/build/debug/nel/lib \
+LDFLAGS      = -L$(RYZOM_HOME)/build/debug/nel/lib \
 				-L/home/installs/STLport-4.0/lib \
 				-L/usr/local/lib \
 				-lnelmisc \
diff -r 03326250bfc5 code/nel/samples/net/net_layer5/Makefile
--- a/code/nel/samples/net/net_layer5/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/nel/samples/net/net_layer5/Makefile	Fri May 07 13:21:59 2010 +0200
@@ -11,12 +11,12 @@
 
 # The flags for the C++ compiler
 CXXFLAGS     = -g -pipe -D_REENTRANT -D_GNU_SOURCE \
-				-I$(HOME)/install/release/include \
+				-I$(RYZOM_HOME)/install/release/include \
 				-I/home/installs/STLport-4.5.1/stlport \
 				-I/usr/local/include
 
 # The flags for the linker
-LDFLAGS      = -L$(HOME)/install/release/lib \
+LDFLAGS      = -L$(RYZOM_HOME)/install/release/lib \
 				-L/home/installs/STLport-4.5.1/lib \
 				-L/usr/local/lib \
 				-lnelmisc \
diff -r 03326250bfc5 code/nel/samples/net/service/Makefile
--- a/code/nel/samples/net/service/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/nel/samples/net/service/Makefile	Fri May 07 13:21:59 2010 +0200
@@ -11,12 +11,12 @@
 
 # The flags for the C++ compiler
 CXXFLAGS     = -g -pipe -D_REENTRANT -D_GNU_SOURCE -DNL_RELEASE_DEBUG \
-				-I$(HOME)/install/release/include \
+				-I$(RYZOM_HOME)/install/release/include \
 				-I/usr/include/stlport \
 				-I/usr/include
 
 # The flags for the linker
-LDFLAGS      = -L$(HOME)/install/release/lib \
+LDFLAGS      = -L$(RYZOM_HOME)/install/release/lib \
 				-L/usr/lib \
 				-L/usr/local/lib \
 				-lnelnet \
diff -r 03326250bfc5 code/nel/samples/net/udp/Makefile
--- a/code/nel/samples/net/udp/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/nel/samples/net/udp/Makefile	Fri May 07 13:21:59 2010 +0200
@@ -11,12 +11,12 @@
 
 # The flags for the C++ compiler
 CXXFLAGS     = -g -pipe -D_REENTRANT -D_GNU_SOURCE \
-                                -I$(HOME)/install/debug/include \
+                                -I$(RYZOM_HOME)/install/debug/include \
                                 -I/home/installs/STLport-4.5.1/stlport \
                                 -I/usr/local/include \
 
 # The flags for the linker
-LDFLAGS      = -L$(HOME)/build/debug/nel/lib \
+LDFLAGS      = -L$(RYZOM_HOME)/build/debug/nel/lib \
                                 -L/home/installs/STLport-4.5.1/lib \
                                 -L/usr/local/lib \
                                 -lnelmisc \
diff -r 03326250bfc5 code/nel/tools/misc/bnp_make/Makefile
--- a/code/nel/tools/misc/bnp_make/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/nel/tools/misc/bnp_make/Makefile	Fri May 07 13:21:59 2010 +0200
@@ -13,12 +13,12 @@
 
 # The flags for the C++ compiler
 CXXFLAGS     = -g -pipe -D_REENTRANT -D_GNU_SOURCE \
-				-I$(HOME)/cvs/code/nel/include \
+				-I$(RYZOM_HOME)/cvs/code/nel/include \
 				-I/usr/include/stlport \
 				-I/usr/include
 
 # The flags for the linker
-LDFLAGS      = -L$(HOME)/install/release/lib \
+LDFLAGS      = -L$(RYZOM_HOME)/install/release/lib \
 				-L/usr/local/lib \
 				-lnelmisc \
 				-lstlport \
diff -r 03326250bfc5 code/nel/tools/misc/make_sheet_id/Makefile
--- a/code/nel/tools/misc/make_sheet_id/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/nel/tools/misc/make_sheet_id/Makefile	Fri May 07 13:21:59 2010 +0200
@@ -11,10 +11,10 @@
 
 # The flags for the C++ compiler
 CXXFLAGS     = -g -pipe -D_REENTRANT -D_GNU_SOURCE -DNL_RELEASE \
-				-I$(HOME)/code/nel/include
+				-I$(RYZOM_HOME)/code/nel/include
 
 # The flags for the linker
-LDFLAGS      = -L$(HOME)/code/install/release/lib \
+LDFLAGS      = -L$(RYZOM_HOME)/code/install/release/lib \
 				-lnelmisc \
 				-lpthread \
 				-lrt \
diff -r 03326250bfc5 code/ryzom/Makefile
--- a/code/ryzom/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/Makefile	Fri May 07 13:21:59 2010 +0200
@@ -2,7 +2,7 @@
 MAKE_ALL_ARGS=-j2
 CXX=g++
 CC=g++
-BIN_DIR=$(HOME)/code/ryzom/tools/scripts/linux
+BIN_DIR=$(RYZOM_HOME)/code/ryzom/tools/scripts/linux
 
 night:
 	+make $(MAKE_NIGHT_ARGS) -k -C common night CXX=$(CXX)
diff -r 03326250bfc5 code/ryzom/Rules.mk
--- a/code/ryzom/Rules.mk	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/Rules.mk	Fri May 07 13:21:59 2010 +0200
@@ -1,6 +1,7 @@
 #############################################################################
 # A few basic default rules and intrinsic rules
 
+RYZOM_PATH=/home/mathieu/Sources/ryzom/code/ryzom
 # Load objects dependencies
 ifeq (Dependencies.mk,$(wildcard Dependencies.mk))
 include Dependencies.mk
diff -r 03326250bfc5 code/ryzom/Variables.mk
--- a/code/ryzom/Variables.mk	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/Variables.mk	Fri May 07 13:21:59 2010 +0200
@@ -20,12 +20,12 @@
 DIR_DBG_on    = debug
 DIR_DBG_off   = release
 
-PACK_SHEETS_FLAGS = -A/home/nevrax/code/ryzom/server -L/home/nevrax/code/ryzom/server -C/home/nevrax/code/ryzom/server/sheet_pack_cfg -Q --nons
+PACK_SHEETS_FLAGS = -A$(RYZOM_HOME)/code/ryzom/server -L$(RYZOM_HOME)/code/ryzom/server -C$(RYZOM_HOME)/code/ryzom/server/sheet_pack_cfg -Q --nons
 
-NEL_PATH = $(HOME)/code/install/$(DIR_DBG_$(DBG))
-RYZOM_PATH = $(HOME)/code/ryzom
+NEL_PATH = $(RYZOM_HOME)/code/install/$(DIR_DBG_$(DBG))
+RYZOM_PATH = $(RYZOM_HOME)/code/ryzom
 
-NEL_INCLUDE = $(HOME)/code/nel/include
+NEL_INCLUDE = $(RYZOM_HOME)/code/nel/include
 RYZOM_COMMON_SRC = $(RYZOM_PATH)/common/src
 
 ifeq (Objects.mk,$(wildcard Objects.mk))
diff -r 03326250bfc5 code/ryzom/client/src/Makefile
--- a/code/ryzom/client/src/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/client/src/Makefile	Fri May 07 13:21:59 2010 +0200
@@ -16,8 +16,8 @@
 CXXFLAGS     = $(WWWFLAGS) $(LUAFLAGS) \
 		$(FLAGS_CMN) $(FLAGS_DBG_$(DBG)) \
 		-I/usr/include/libxml2 \
-		-I$(HOME)/code/luabind \
-		-I$(HOME)/code/nel/include \
+		-I$(RYZOM_HOME)/code/luabind \
+		-I$(RYZOM_HOME)/code/nel/include \
 		-I$(RYZOM_PATH)/common/src \
 		-I$(RYZOM_PATH)/client/src/seven_zip \
 		-I.. \
diff -r 03326250bfc5 code/ryzom/client/src/client_sheets/Makefile
--- a/code/ryzom/client/src/client_sheets/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/client/src/client_sheets/Makefile	Fri May 07 13:21:59 2010 +0200
@@ -9,7 +9,7 @@
 
 # The flags for the C++ compiler
 CXXFLAGS     = $(FLAGS_CMN) $(FLAGS_DBG_$(DBG)) \
-		-I$(HOME)/code/nel/include \
+		-I$(RYZOM_HOME)/code/nel/include \
 		-I$(RYZOM_PATH)/common/src \
 		-I.. \
 		-I.
diff -r 03326250bfc5 code/ryzom/client/src/seven_zip/Makefile
--- a/code/ryzom/client/src/seven_zip/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/client/src/seven_zip/Makefile	Fri May 07 13:21:59 2010 +0200
@@ -10,7 +10,7 @@
 # The flags for the C++ compiler
 CXXFLAGS     = $(FLAGS_CMN) $(FLAGS_DBG_$(DBG)) \
 		-D_SZ_ONE_DIRECTORY \
-		-I$(HOME)/code/nel/include \
+		-I$(RYZOM_HOME)/code/nel/include \
 		-I$(RYZOM_PATH)/common/src \
 		-I.. \
 		-I.
diff -r 03326250bfc5 code/ryzom/common/Makefile
--- a/code/ryzom/common/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/common/Makefile	Fri May 07 13:21:59 2010 +0200
@@ -2,7 +2,7 @@
 MAKE_ALL_ARGS=-j2
 CXX=g++
 CC=g++
-BIN_DIR=$(HOME)/code/ryzom/tools/scripts/linux
+BIN_DIR=$(RYZOM_HOME)/code/ryzom/tools/scripts/linux
 
 night:
 	+make $(MAKE_NIGHT_ARGS) -k -C src night CXX=$(CXX)
diff -r 03326250bfc5 code/ryzom/common/src/game_share/Makefile
--- a/code/ryzom/common/src/game_share/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/common/src/game_share/Makefile	Fri May 07 13:21:59 2010 +0200
@@ -11,8 +11,8 @@
 CXXFLAGS     = $(FLAGS_CMN) $(FLAGS_DBG_$(DBG)) \
 		-I/usr/include/libxml2 \
 		-I/usr/include/mysql \
-		-I$(HOME)/code/nel/include \
-		-I$(HOME)/code/ryzom/common/src \
+		-I$(RYZOM_HOME)/code/nel/include \
+		-I$(RYZOM_HOME)/code/ryzom/common/src \
 		-I./ \
 		-I./character_structure \
 		-I./egs_sheets \
@@ -20,7 +20,7 @@
 		-I./game_item_manager
 
 # The flags for the linker
-LDFLAGS      = 	$(LD_FLAGS_CMN) -L$(HOME)/install/$(DIR_DBG_$(DBG))/lib \
+LDFLAGS      = 	$(LD_FLAGS_CMN) -L$(RYZOM_HOME)/install/$(DIR_DBG_$(DBG))/lib \
 		-llibmysqlclient \
 		-lnelnet \
 		-lnelgeorges \
diff -r 03326250bfc5 code/ryzom/server/Makefile
--- a/code/ryzom/server/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/server/Makefile	Fri May 07 13:21:59 2010 +0200
@@ -2,7 +2,7 @@
 MAKE_ALL_ARGS=-j2
 CXX=g++
 CC=g++
-BIN_DIR=$(HOME)/code/ryzom/tools/scripts/linux
+BIN_DIR=$(RYZOM_HOME)/code/ryzom/tools/scripts/linux
 
 night:
 	+make $(MAKE_NIGHT_ARGS) -k -C src night CXX=$(CXX)
diff -r 03326250bfc5 code/ryzom/server/src/ai_share/Makefile
--- a/code/ryzom/server/src/ai_share/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/server/src/ai_share/Makefile	Fri May 07 13:21:59 2010 +0200
@@ -20,13 +20,13 @@
 		-lxml2
 
 # The flags for the linker
-LDFLAGS2      = 	-L$(HOME)/install/$(DIR_DBG_$(DBG))/lib \
+LDFLAGS2      = 	-L$(RYZOM_HOME)/install/$(DIR_DBG_$(DBG))/lib \
 		-lnelnet \
 		-lnelgeorges \
 		-lnelpacs \
 		-L/usr/lib \
 		-L/usr/X11R6/lib \
-		-L$(HOME)/cvs/code/ryzom/src_v2/game_share \
+		-L$(RYZOM_HOME)/cvs/code/ryzom/src_v2/game_share \
 		-lnelmisc \
 		-lxml2 \
 		-lstlport \
diff -r 03326250bfc5 code/ryzom/server/src/frontend_service/Makefile
--- a/code/ryzom/server/src/frontend_service/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/server/src/frontend_service/Makefile	Fri May 07 13:21:59 2010 +0200
@@ -26,12 +26,12 @@
 		-ldl
 
 # The flags for the linker
-LDFLAGS2      = 	-L$(HOME)/install/$(DIR_DBG_$(DBG))/lib \
+LDFLAGS2      = 	-L$(RYZOM_HOME)/install/$(DIR_DBG_$(DBG))/lib \
 		-lnelnet \
 		-lxml2 \
 		-L/usr/lib \
 		-L/usr/X11R6/lib \
-		-L$(HOME)/cvs/code/ryzom/src_v2/game_share \
+		-L$(RYZOM_HOME)/cvs/code/ryzom/src_v2/game_share \
 		-lc \
 		-lgame_share \
 		-lnelgeorges \
diff -r 03326250bfc5 code/ryzom/server/src/server_share/Makefile
--- a/code/ryzom/server/src/server_share/Makefile	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/server/src/server_share/Makefile	Fri May 07 13:21:59 2010 +0200
@@ -11,8 +11,8 @@
 CXXFLAGS     = $(FLAGS_CMN) $(FLAGS_DBG_$(DBG)) \
 		-I/usr/include/libxml2 \
 		-I/usr/include/mysql \
-		-I$(HOME)/code/nel/include \
-		-I$(HOME)/code/ryzom/common/src \
+		-I$(RYZOM_HOME)/code/nel/include \
+		-I$(RYZOM_HOME)/code/ryzom/common/src \
 		-I./ \
 		-I./character_structure \
 		-I./egs_sheets \
@@ -20,7 +20,7 @@
 		-I./game_item_manager
 
 # The flags for the linker
-LDFLAGS      = 	$(LD_FLAGS_CMN) -L$(HOME)/install/$(DIR_DBG_$(DBG))/lib \
+LDFLAGS      = 	$(LD_FLAGS_CMN) -L$(RYZOM_HOME)/install/$(DIR_DBG_$(DBG))/lib \
 		-llibmysqlclient \
 		-lnelnet \
 		-lnelgeorges \
diff -r 03326250bfc5 code/ryzom/tools/scripts/linux/build
--- a/code/ryzom/tools/scripts/linux/build	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/tools/scripts/linux/build	Fri May 07 13:21:59 2010 +0200
@@ -49,7 +49,7 @@
 
 # Set the source directory. Use the environment SRC_DIR variable, if it's
 # not set, use $HOME/cvs as a default value
-SRC_DIR="$HOME/code"
+SRC_DIR="$RYZOM_HOME/code"
 
 # Build diretories
 BUILD_DEBUG="$SRC_DIR/build/debug"
diff -r 03326250bfc5 code/ryzom/tools/scripts/linux/clean_log.sh
--- a/code/ryzom/tools/scripts/linux/clean_log.sh	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/tools/scripts/linux/clean_log.sh	Fri May 07 13:21:59 2010 +0200
@@ -1,5 +1,5 @@
-rm ~/code/ryzom/server/*.log
-rm ~/code/ryzom/server/core*
-rm ~/code/ryzom/server/*core
-rm ~/code/ryzom/server/v*_core.*
-rm ~/code/ryzom/server/core*
+rm $RYZOM_HOME/code/ryzom/server/*.log
+rm $RYZOM_HOME/code/ryzom/server/core*
+rm $RYZOM_HOME/code/ryzom/server/*core
+rm $RYZOM_HOME/code/ryzom/server/v*_core.*
+rm $RYZOM_HOME/code/ryzom/server/core*
diff -r 03326250bfc5 code/ryzom/tools/scripts/linux/generate_packed_sheets.sh
--- a/code/ryzom/tools/scripts/linux/generate_packed_sheets.sh	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/tools/scripts/linux/generate_packed_sheets.sh	Fri May 07 13:21:59 2010 +0200
@@ -1,5 +1,5 @@
 
-cd /home/nevrax/code/ryzom/server
+cd $RYZOM_HOME/code/ryzom/server
 
 shard stop
 
diff -r 03326250bfc5 code/ryzom/tools/scripts/linux/make_all
--- a/code/ryzom/tools/scripts/linux/make_all	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/tools/scripts/linux/make_all	Fri May 07 13:21:59 2010 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh -
 
-RYZOM_PATH="$HOME/code/ryzom"
+RYZOM_PATH="$RYZOM_HOME/code/ryzom"
 
 . $RYZOM_PATH/tools/scripts/linux/utilities
 
diff -r 03326250bfc5 code/ryzom/tools/scripts/linux/shard
--- a/code/ryzom/tools/scripts/linux/shard	Thu May 06 02:08:41 2010 +0200
+++ b/code/ryzom/tools/scripts/linux/shard	Fri May 07 13:21:59 2010 +0200
@@ -1,3 +1,3 @@
 #!/bin/sh
-cd ~/code/ryzom/server
+cd $RYZOM_HOME/code/ryzom/server
 /bin/sh ryzom_domain_screen_wrapper.sh $*