# HG changeset patch
# User Thorbjørn Lindeijer <thorbjorn@lindeijer.nl>
# Date 1273354055 -7200
# Node ID f85a8f2fdec0b9198287613678b082ca644e8e8f
# Parent  a70b2a95cd83fb442b699fd3e3e18290f2066d98
Compile fixes for gcc 4.5.0

Example:

error: cannot call constructor ‘std::pair<std::basic_string<char>, CInterfaceDDX*>::pair’ directly
error:   for a function-style cast, remove the redundant ‘::pair’

diff -r a70b2a95cd83 -r f85a8f2fdec0 code/ryzom/client/src/client_sheets/animation_set_list_sheet.cpp
--- a/code/ryzom/client/src/client_sheets/animation_set_list_sheet.cpp	Sat May 08 19:05:00 2010 +0200
+++ b/code/ryzom/client/src/client_sheets/animation_set_list_sheet.cpp	Sat May 08 23:27:35 2010 +0200
@@ -493,7 +493,7 @@
 	// update statics maps
 	if (f.isReading())
 	{
-		_StringToAnimStateId.insert(pair<string, TAnimStateSheetId>::pair(sStateName, (TAnimStateSheetId)State));
+		_StringToAnimStateId.insert(pair<string, TAnimStateSheetId>(sStateName, (TAnimStateSheetId)State));
 		if (_AnimStateIdToString.size() <= State)
 			_AnimStateIdToString.resize(State+1);
 		_AnimStateIdToString[State] = sStateName;
diff -r a70b2a95cd83 -r f85a8f2fdec0 code/ryzom/client/src/connection.cpp
--- a/code/ryzom/client/src/connection.cpp	Sat May 08 19:05:00 2010 +0200
+++ b/code/ryzom/client/src/connection.cpp	Sat May 08 23:27:35 2010 +0200
@@ -2118,9 +2118,9 @@
 		{
 			vector< pair < string, string > > params;
 			params.clear();
-			params.push_back(pair<string,string>::pair("id", toString(Mainlands[i].Id)));
+			params.push_back(pair<string,string>("id", toString(Mainlands[i].Id)));
 			if (i>0)
-				params.push_back(pair<string,string>::pair("posref", "BL TL"));
+				params.push_back(pair<string,string>("posref", "BL TL"));
 
 			CInterfaceGroup *pNewLine =pIM->createGroupInstance("t_mainland", GROUP_LIST_MAINLAND, params);
 			if (pNewLine != NULL)
@@ -2240,10 +2240,10 @@
 	{
 		vector< pair < string, string > > params;
 		params.clear();
-		params.push_back(pair<string,string>::pair("id", id));
+		params.push_back(pair<string,string>("id", id));
 		if (!First)
 		{
-			params.push_back(pair<string,string>::pair("posref", "BL TL"));
+			params.push_back(pair<string,string>("posref", "BL TL"));
 		}
 		First = false;
 		CInterfaceManager *pIM = CInterfaceManager::getInstance();
@@ -2712,9 +2712,9 @@
 				{
 					vector< pair < string, string > > params;
 					params.clear();
-					params.push_back(pair<string,string>::pair("id", toString(Mainlands[i].Id)));
-					params.push_back(pair<string,string>::pair("w", "1024"));
-					params.push_back(pair<string,string>::pair("tooltip", "uiRingFilterShard"));
+					params.push_back(pair<string,string>("id", toString(Mainlands[i].Id)));
+					params.push_back(pair<string,string>("w", "1024"));
+					params.push_back(pair<string,string>("tooltip", "uiRingFilterShard"));
 					CInterfaceGroup *toggleGr =pIM->createGroupInstance("label_toggle_button", shardList->getId(), params);
 					shardList->addChild(toggleGr);
 					// set unicode name
diff -r a70b2a95cd83 -r f85a8f2fdec0 code/ryzom/client/src/entity_animation_manager.cpp
--- a/code/ryzom/client/src/entity_animation_manager.cpp	Sat May 08 19:05:00 2010 +0200
+++ b/code/ryzom/client/src/entity_animation_manager.cpp	Sat May 08 23:27:35 2010 +0200
@@ -207,7 +207,7 @@
 		string sTmp = strlwr(pASLS->AnimSetList[i].Name);
 		sTmp = sTmp.substr(0,sTmp.rfind('.'));
 		pair<map<string,CAnimationSet>::iterator, bool> it;
-		it = _AnimSet.insert(pair<string,CAnimationSet>::pair(sTmp,as));
+		it = _AnimSet.insert(pair<string,CAnimationSet>(sTmp,as));
 		it.first->second.init (&pASLS->AnimSetList[i], _AnimationSet);
 	}
 
diff -r a70b2a95cd83 -r f85a8f2fdec0 code/ryzom/client/src/interface_v3/interface_ddx.cpp
--- a/code/ryzom/client/src/interface_v3/interface_ddx.cpp	Sat May 08 19:05:00 2010 +0200
+++ b/code/ryzom/client/src/interface_v3/interface_ddx.cpp	Sat May 08 23:27:35 2010 +0200
@@ -961,7 +961,7 @@
 // ***************************************************************************
 void CDDXManager::add(CInterfaceDDX *pDDX)
 {
-	_DDXes.insert(pair<string,CInterfaceDDX*>::pair(pDDX->getId(),pDDX));
+	_DDXes.insert(pair<string,CInterfaceDDX*>(pDDX->getId(),pDDX));
 }
 
 // ***************************************************************************
diff -r a70b2a95cd83 -r f85a8f2fdec0 code/ryzom/client/src/interface_v3/interface_parser.cpp
--- a/code/ryzom/client/src/interface_v3/interface_parser.cpp	Sat May 08 19:05:00 2010 +0200
+++ b/code/ryzom/client/src/interface_v3/interface_parser.cpp	Sat May 08 23:27:35 2010 +0200
@@ -248,7 +248,7 @@
 	{
 		string sTmp = child->getId();
 		sTmp = sTmp.substr(_Id.size()+1,sTmp.size());
-		_Accel.insert(pair<string,CInterfaceGroup*>::pair(sTmp, child));
+		_Accel.insert(pair<string,CInterfaceGroup*>(sTmp, child));
 		CInterfaceGroup::addGroup(child,eltOrder);
 	}
 
diff -r a70b2a95cd83 -r f85a8f2fdec0 code/ryzom/client/src/interface_v3/inventory_manager.cpp
--- a/code/ryzom/client/src/interface_v3/inventory_manager.cpp	Sat May 08 19:05:00 2010 +0200
+++ b/code/ryzom/client/src/interface_v3/inventory_manager.cpp	Sat May 08 23:27:35 2010 +0200
@@ -2795,17 +2795,17 @@
 
 		// Try to put all items in the DB order in all the bags of the player : (bag, pa0-3, steed)
 		vector <pair <double, double> > BagsBulk;
-		BagsBulk.push_back(pair <double, double>::pair(pInv->getBagBulk(0), pInv->getMaxBagBulk(0)));
+		BagsBulk.push_back(pair <double, double>(pInv->getBagBulk(0), pInv->getMaxBagBulk(0)));
 
 		nlctassert(MAX_INVENTORY_ANIMAL==4);
 		if (pInv->isInventoryAvailable(INVENTORIES::pet_animal1))
-			BagsBulk.push_back(pair <double, double>::pair(pInv->getBagBulk(2), pInv->getMaxBagBulk(2)));
+			BagsBulk.push_back(pair <double, double>(pInv->getBagBulk(2), pInv->getMaxBagBulk(2)));
 		if (pInv->isInventoryAvailable(INVENTORIES::pet_animal2))
-			BagsBulk.push_back(pair <double, double>::pair(pInv->getBagBulk(3), pInv->getMaxBagBulk(3)));
+			BagsBulk.push_back(pair <double, double>(pInv->getBagBulk(3), pInv->getMaxBagBulk(3)));
 		if (pInv->isInventoryAvailable(INVENTORIES::pet_animal3))
-			BagsBulk.push_back(pair <double, double>::pair(pInv->getBagBulk(4), pInv->getMaxBagBulk(4)));
+			BagsBulk.push_back(pair <double, double>(pInv->getBagBulk(4), pInv->getMaxBagBulk(4)));
 		if (pInv->isInventoryAvailable(INVENTORIES::pet_animal4))
-			BagsBulk.push_back(pair <double, double>::pair(pInv->getBagBulk(4), pInv->getMaxBagBulk(4)));
+			BagsBulk.push_back(pair <double, double>(pInv->getBagBulk(4), pInv->getMaxBagBulk(4)));
 
 		bool bPlaceFound = true;
 
diff -r a70b2a95cd83 -r f85a8f2fdec0 code/ryzom/client/src/interface_v3/macrocmd_key.cpp
--- a/code/ryzom/client/src/interface_v3/macrocmd_key.cpp	Sat May 08 19:05:00 2010 +0200
+++ b/code/ryzom/client/src/interface_v3/macrocmd_key.cpp	Sat May 08 23:27:35 2010 +0200
@@ -417,13 +417,13 @@
 	pIM->getDbProp(DbComboDisp2P);
 
 	vector< pair<string,string> > vArgs;
-	vArgs.push_back(pair<string,string>::pair("id",name));
-	vArgs.push_back(pair<string,string>::pair("db_sel_cat",DbComboSelCat));
-	vArgs.push_back(pair<string,string>::pair("db_sel_act",DbComboSelAct));
-	vArgs.push_back(pair<string,string>::pair("db_sel_1p",DbComboSel1P));
-	vArgs.push_back(pair<string,string>::pair("db_sel_2p",DbComboSel2P));
-	vArgs.push_back(pair<string,string>::pair("db_disp_1p",DbComboDisp1P));
-	vArgs.push_back(pair<string,string>::pair("db_disp_2p",DbComboDisp2P));
+	vArgs.push_back(pair<string,string>("id",name));
+	vArgs.push_back(pair<string,string>("db_sel_cat",DbComboSelCat));
+	vArgs.push_back(pair<string,string>("db_sel_act",DbComboSelAct));
+	vArgs.push_back(pair<string,string>("db_sel_1p",DbComboSel1P));
+	vArgs.push_back(pair<string,string>("db_sel_2p",DbComboSel2P));
+	vArgs.push_back(pair<string,string>("db_disp_1p",DbComboDisp1P));
+	vArgs.push_back(pair<string,string>("db_disp_2p",DbComboDisp2P));
 
 	Win = dynamic_cast<CGroupContainer*>(pIM->createGroupInstance(TEMPLATE_EDITCMD, "ui:interface", vArgs));
 	if (Win == NULL)
diff -r a70b2a95cd83 -r f85a8f2fdec0 code/ryzom/client/src/interface_v3/people_list.cpp
--- a/code/ryzom/client/src/interface_v3/people_list.cpp	Sat May 08 19:05:00 2010 +0200
+++ b/code/ryzom/client/src/interface_v3/people_list.cpp	Sat May 08 23:27:35 2010 +0200
@@ -73,13 +73,13 @@
 
 	// create the base container
 	vector< pair<string, string> > baseContainerParams;
-	baseContainerParams.push_back(pair<string, string>::pair("id", desc.Id));
+	baseContainerParams.push_back(pair<string, string>("id", desc.Id));
 	std::string baseId;
 	if (fatherContainer == NULL)
 	{
-		baseContainerParams.push_back(pair<string, string>::pair("movable","true"));
-		baseContainerParams.push_back(pair<string, string>::pair("active","false"));
-		baseContainerParams.push_back(pair<string, string>::pair("opened","true"));
+		baseContainerParams.push_back(pair<string, string>("movable","true"));
+		baseContainerParams.push_back(pair<string, string>("active","false"));
+		baseContainerParams.push_back(pair<string, string>("opened","true"));
 		baseId = "ui:interface";
 	}
 	else
diff -r a70b2a95cd83 -r f85a8f2fdec0 code/ryzom/client/src/login.cpp
--- a/code/ryzom/client/src/login.cpp	Sat May 08 19:05:00 2010 +0200
+++ b/code/ryzom/client/src/login.cpp	Sat May 08 23:27:35 2010 +0200
@@ -177,9 +177,9 @@
 	{
 		vector< pair < string, string > > params;
 		params.clear();
-		params.push_back(pair<string,string>::pair("id", "c"+toString(i)));
+		params.push_back(pair<string,string>("id", "c"+toString(i)));
 		if (i>0)
-			params.push_back(pair<string,string>::pair("posref", "BL TL"));
+			params.push_back(pair<string,string>("posref", "BL TL"));
 
 		CInterfaceGroup *pNewLine = pIM->createGroupInstance("t_cat", GROUP_LIST_CAT, params);
 		if (pNewLine != NULL)
@@ -1103,9 +1103,9 @@
 	{
 		vector< pair < string, string > > params;
 		params.clear();
-		params.push_back(pair<string,string>::pair("id", "s"+toString(i)));
+		params.push_back(pair<string,string>("id", "s"+toString(i)));
 		if (i>0)
-			params.push_back(pair<string,string>::pair("posref", "BL TL"));
+			params.push_back(pair<string,string>("posref", "BL TL"));
 
 		CInterfaceGroup *pNewLine =pIM->createGroupInstance("t_shard", GROUP_LIST_SHARD, params);
 		if (pNewLine != NULL)
@@ -1229,9 +1229,9 @@
 //		{
 //			vector< pair < string, string > > params;
 //			params.clear();
-//			params.push_back(pair<string,string>::pair("id", "s"+toString(i)));
+//			params.push_back(pair<string,string>("id", "s"+toString(i)));
 //			if (i>0)
-//				params.push_back(pair<string,string>::pair("posref", "BL TL"));
+//				params.push_back(pair<string,string>("posref", "BL TL"));
 //
 //			CInterfaceGroup *pNewLine =pIM->createGroupInstance("t_shard", GROUP_LIST_SHARD, params);
 //			if (pNewLine != NULL)
@@ -2033,23 +2033,23 @@
 		// first indicates the preset-able cfg-variable
 		// second indicates if its a double variable (else it's an int)
 		CfgPresetList.clear();
-		CfgPresetList.push_back(pair<string,bool>::pair("LandscapeTileNear",	true));
-		CfgPresetList.push_back(pair<string,bool>::pair("LandscapeThreshold",	true));
-		CfgPresetList.push_back(pair<string,bool>::pair("Vision",				true));
-		CfgPresetList.push_back(pair<string,bool>::pair("MicroVeget",			false));
-		CfgPresetList.push_back(pair<string,bool>::pair("MicroVegetDensity",	true));
-		CfgPresetList.push_back(pair<string,bool>::pair("FxNbMaxPoly",			false));
-		CfgPresetList.push_back(pair<string,bool>::pair("Cloud",				false));
-		CfgPresetList.push_back(pair<string,bool>::pair("CloudQuality",			true));
-		CfgPresetList.push_back(pair<string,bool>::pair("CloudUpdate",			false));
-		CfgPresetList.push_back(pair<string,bool>::pair("Shadows",				false));
-		CfgPresetList.push_back(pair<string,bool>::pair("SkinNbMaxPoly",		false));
-		CfgPresetList.push_back(pair<string,bool>::pair("NbMaxSkeletonNotCLod",	false));
-		CfgPresetList.push_back(pair<string,bool>::pair("CharacterFarClip",		true));
-
-		CfgPresetList.push_back(pair<string,bool>::pair("Bloom",				false));
-		CfgPresetList.push_back(pair<string,bool>::pair("SquareBloom",			false));
-		CfgPresetList.push_back(pair<string,bool>::pair("DensityBloom",			true));
+		CfgPresetList.push_back(pair<string,bool>("LandscapeTileNear",	true));
+		CfgPresetList.push_back(pair<string,bool>("LandscapeThreshold",	true));
+		CfgPresetList.push_back(pair<string,bool>("Vision",				true));
+		CfgPresetList.push_back(pair<string,bool>("MicroVeget",			false));
+		CfgPresetList.push_back(pair<string,bool>("MicroVegetDensity",	true));
+		CfgPresetList.push_back(pair<string,bool>("FxNbMaxPoly",			false));
+		CfgPresetList.push_back(pair<string,bool>("Cloud",				false));
+		CfgPresetList.push_back(pair<string,bool>("CloudQuality",			true));
+		CfgPresetList.push_back(pair<string,bool>("CloudUpdate",			false));
+		CfgPresetList.push_back(pair<string,bool>("Shadows",				false));
+		CfgPresetList.push_back(pair<string,bool>("SkinNbMaxPoly",		false));
+		CfgPresetList.push_back(pair<string,bool>("NbMaxSkeletonNotCLod",	false));
+		CfgPresetList.push_back(pair<string,bool>("CharacterFarClip",		true));
+
+		CfgPresetList.push_back(pair<string,bool>("Bloom",				false));
+		CfgPresetList.push_back(pair<string,bool>("SquareBloom",			false));
+		CfgPresetList.push_back(pair<string,bool>("DensityBloom",			true));
 
 		// Check if all the preset-able cfg-variable are in a preset mode
 		sint nPreset = -1;