diff -r 74241a6c0875 code/nel/src/sound/driver/dsound/buffer_dsound.cpp
--- a/code/nel/src/sound/driver/dsound/buffer_dsound.cpp	Tue May 11 11:10:51 2010 +0200
+++ b/code/nel/src/sound/driver/dsound/buffer_dsound.cpp	Tue May 11 11:37:48 2010 +0200
@@ -16,10 +16,10 @@
 
 
 #include "stddsound.h"
-#include "buffer_dsound.h"
+#include "nel/sound/driver/dsound/buffer_dsound.h"
 #include "nel/misc/path.h"
 #include "nel/misc/file.h"
-#include "sound_driver_dsound.h"
+#include "nel/sound/driver/dsound/sound_driver_dsound.h"
 
 #define NOMINMAX
 #include <windows.h>
diff -r 74241a6c0875 code/nel/src/sound/driver/dsound/driver_dsound.vcproj
--- a/code/nel/src/sound/driver/dsound/driver_dsound.vcproj	Tue May 11 11:10:51 2010 +0200
+++ b/code/nel/src/sound/driver/dsound/driver_dsound.vcproj	Tue May 11 11:37:48 2010 +0200
@@ -353,7 +353,7 @@
 			>
 		</File>
 		<File
-			RelativePath="buffer_dsound.h"
+			RelativePath="..\..\..\..\include\nel\sound\driver\dsound\buffer_dsound.h"
 			>
 		</File>
 		<File
@@ -365,7 +365,7 @@
 			>
 		</File>
 		<File
-			RelativePath="listener_dsound.h"
+			RelativePath="..\..\..\..\include\nel\sound\driver\dsound\listener_dsound.h"
 			>
 		</File>
 		<File
@@ -373,7 +373,7 @@
 			>
 		</File>
 		<File
-			RelativePath="sound_driver_dsound.h"
+			RelativePath="..\..\..\..\include\nel\sound\driver\dsound\sound_driver_dsound.h"
 			>
 		</File>
 		<File
@@ -381,7 +381,7 @@
 			>
 		</File>
 		<File
-			RelativePath="source_dsound.h"
+			RelativePath="..\..\..\..\include\nel\sound\driver\dsound\source_dsound.h"
 			>
 		</File>
 		<File
diff -r 74241a6c0875 code/nel/src/sound/driver/dsound/listener_dsound.cpp
--- a/code/nel/src/sound/driver/dsound/listener_dsound.cpp	Tue May 11 11:10:51 2010 +0200
+++ b/code/nel/src/sound/driver/dsound/listener_dsound.cpp	Tue May 11 11:37:48 2010 +0200
@@ -17,8 +17,8 @@
 #include "stddsound.h"
 #include "nel/sound/driver/sound_driver.h"
 
-#include "listener_dsound.h"
-#include "sound_driver_dsound.h"
+#include "nel/sound/driver/dsound/listener_dsound.h"
+#include "nel/sound/driver/dsound/sound_driver_dsound.h"
 
 
 using namespace NLMISC;
diff -r 74241a6c0875 code/nel/src/sound/driver/dsound/sound_driver_dsound.cpp
--- a/code/nel/src/sound/driver/dsound/sound_driver_dsound.cpp	Tue May 11 11:10:51 2010 +0200
+++ b/code/nel/src/sound/driver/dsound/sound_driver_dsound.cpp	Tue May 11 11:37:48 2010 +0200
@@ -30,8 +30,8 @@
 
 #include "nel/misc/hierarchical_timer.h"
 #include "nel/misc/dynloadlib.h"
-#include "sound_driver_dsound.h"
-#include "listener_dsound.h"
+#include "nel/sound/driver/dsound/sound_driver_dsound.h"
+#include "nel/sound/driver/dsound/listener_dsound.h"
 
 
 using namespace std;
diff -r 74241a6c0875 code/nel/src/sound/driver/dsound/source_dsound.cpp
--- a/code/nel/src/sound/driver/dsound/source_dsound.cpp	Tue May 11 11:10:51 2010 +0200
+++ b/code/nel/src/sound/driver/dsound/source_dsound.cpp	Tue May 11 11:37:48 2010 +0200
@@ -17,10 +17,10 @@
 
 #include "stddsound.h"
 #include "nel/misc/hierarchical_timer.h"
-#include "source_dsound.h"
-#include "sound_driver_dsound.h"
-#include "buffer_dsound.h"
-#include "listener_dsound.h"
+#include "nel/sound/driver/dsound/source_dsound.h"
+#include "nel/sound/driver/dsound/sound_driver_dsound.h"
+#include "nel/sound/driver/dsound/buffer_dsound.h"
+#include "nel/sound/driver/dsound/listener_dsound.h"
 #include "nel/sound/driver/sound_driver.h"
 
 #include <algorithm>
diff -r 74241a6c0875 code/ryzom/tools/leveldesign/georges_plugin_sound/PagePosition.cpp
--- a/code/ryzom/tools/leveldesign/georges_plugin_sound/PagePosition.cpp	Tue May 11 11:10:51 2010 +0200
+++ b/code/ryzom/tools/leveldesign/georges_plugin_sound/PagePosition.cpp	Tue May 11 11:37:48 2010 +0200
@@ -24,8 +24,8 @@
 #include "nel/georges/u_form_elm.h"
 #include "sound_document_plugin.h"
 #include "nel/sound/u_audio_mixer.h"
-#include "sound/sound.h"
-#include "sound/simple_sound.h"
+#include "nel/sound/sound.h"
+#include "nel/sound/simple_sound.h"
 
 #include "PagePosition.h"
 
diff -r 74241a6c0875 code/ryzom/tools/leveldesign/georges_plugin_sound/sound_plugin.cpp
--- a/code/ryzom/tools/leveldesign/georges_plugin_sound/sound_plugin.cpp	Tue May 11 11:10:51 2010 +0200
+++ b/code/ryzom/tools/leveldesign/georges_plugin_sound/sound_plugin.cpp	Tue May 11 11:37:48 2010 +0200
@@ -24,8 +24,8 @@
 #include "loading_dialog.h"
 #include "nel/ligo/primitive.h"
 
-#include "nel/../../src/sound/sound.h"
-#include "nel/../../src/sound/simple_sound.h"
+#include "nel/sound/sound.h"
+#include "nel/sound/simple_sound.h"
 #include <afxcmn.h>
 
 using namespace std;
diff -r 74241a6c0875 code/ryzom/tools/leveldesign/georges_plugin_sound/sound_plugin.h
--- a/code/ryzom/tools/leveldesign/georges_plugin_sound/sound_plugin.h	Tue May 11 11:10:51 2010 +0200
+++ b/code/ryzom/tools/leveldesign/georges_plugin_sound/sound_plugin.h	Tue May 11 11:37:48 2010 +0200
@@ -37,10 +37,10 @@
 
 #include "nel/misc/vector.h"
 
-#include "sound/driver/sound_driver.h"
-#include "sound/driver/source.h"
-#include "sound/driver/listener.h"
-#include "sound/driver/dsound/source_dsound.h"
+#include "nel/sound/driver/sound_driver.h"
+#include "nel/sound/driver/source.h"
+#include "nel/sound/driver/listener.h"
+#include "nel/sound/driver/dsound/source_dsound.h"
 
 #include "nel/sound/u_audio_mixer.h"
 #include "nel/sound/u_listener.h"
diff -r 74241a6c0875 code/ryzom/tools/leveldesign/world_editor/world_editor/action.cpp
--- a/code/ryzom/tools/leveldesign/world_editor/world_editor/action.cpp	Tue May 11 11:10:51 2010 +0200
+++ b/code/ryzom/tools/leveldesign/world_editor/world_editor/action.cpp	Tue May 11 11:37:48 2010 +0200
@@ -21,7 +21,7 @@
 #include "main_frm.h"
 #include "world_editor_doc.h"
 #include "editor_primitive.h"
-#include "sound/background_sound_manager.h"
+#include "nel/sound/background_sound_manager.h"
 
 using namespace std;
 using namespace NLMISC;