diff -r 81237b1bd66e code/nel/include/nel/ligo/primitive_utils.h
--- a/code/nel/include/nel/ligo/primitive_utils.h	Mon Sep 20 08:59:46 2010 +0200
+++ b/code/nel/include/nel/ligo/primitive_utils.h	Mon Sep 20 10:01:35 2010 +0200
@@ -162,7 +162,8 @@
 	{
 		while (!_IndexStack.empty())
 		{
-			if (_IndexStack.back() == ~0)
+			// uint cast is to prevent warn with gcc but use of complement with uint is weird
+			if (_IndexStack.back() == (uint) ~0)
 			{
 				_IndexStack.back() = 0;
 				// we need to check the current node.
diff -r 81237b1bd66e code/ryzom/tools/pd_parser/main.cpp
--- a/code/ryzom/tools/pd_parser/main.cpp	Mon Sep 20 08:59:46 2010 +0200
+++ b/code/ryzom/tools/pd_parser/main.cpp	Mon Sep 20 10:01:35 2010 +0200
@@ -32,14 +32,16 @@
 	uint	arg;
 	for (arg=1; (sint)arg<argc; ++arg)
 	{
-		if (argv[arg] == "-hauto")
+		string str_arg = argv[arg];
+
+		if (str_arg == "-hauto")
 			GenerateHAuto = true;
-		else if (argv[arg] == "-dbgmsg")
+		else if (str_arg == "-dbgmsg")
 		{
 			VerboseMode = true;
 			GenerateDebugMessages = true;
 		}
-		else if (argv[arg] == "-onlylogs")
+		else if (str_arg == "-onlylogs")
 		{
 			GenerateOnlyLogs = true;
 		}
@@ -129,4 +131,4 @@
 
 	return 0;
 */
-}
\ No newline at end of file
+}
diff -r 81237b1bd66e code/ryzom/tools/pd_parser/parse_node.h
--- a/code/ryzom/tools/pd_parser/parse_node.h	Mon Sep 20 08:59:46 2010 +0200
+++ b/code/ryzom/tools/pd_parser/parse_node.h	Mon Sep 20 10:01:35 2010 +0200
@@ -745,11 +745,11 @@
 	std::string		XmlNode;
 	std::vector<CColumn>	ColumnList;
 
-	uint			Id;
-
 	sint			Column;
 	sint			Columns;
 
+	uint			Id;
+
 	CClassNode*		ClassNode;
 	CClassNode*		getParentClass()	{ return dynamic_cast<CClassNode*>(Parent); }
 
diff -r 81237b1bd66e code/ryzom/tools/server/build_world_packed_col/build_world_packed_col.cpp
--- a/code/ryzom/tools/server/build_world_packed_col/build_world_packed_col.cpp	Mon Sep 20 08:59:46 2010 +0200
+++ b/code/ryzom/tools/server/build_world_packed_col/build_world_packed_col.cpp	Mon Sep 20 10:01:35 2010 +0200
@@ -188,7 +188,8 @@
 			// the same zones were found -> now check their dates against the island one
 			uint32 packedIslandDate = CFile::getFileModificationDate(islandPath);
 			mustRebuild = false;
-			for(uint k = 0; k < presentZonePathes.size(); ++k)
+
+			for(uint l = 0; l < presentZonePathes.size(); ++l)
 			{				
 				if (CFile::getFileModificationDate(presentZonePathes[l]) > packedIslandDate)
 				{
diff -r 81237b1bd66e code/ryzom/tools/translation_tools/extract_bot_names.cpp
--- a/code/ryzom/tools/translation_tools/extract_bot_names.cpp	Mon Sep 20 08:59:46 2010 +0200
+++ b/code/ryzom/tools/translation_tools/extract_bot_names.cpp	Mon Sep 20 10:01:35 2010 +0200
@@ -272,8 +272,9 @@
 	//-------------------------------------------------------------------
 	// init the sheets
 	CSheetId::init(false);
-	char *PACKED_SHEETS_NAME = "bin/translation_tools_creature.packed_sheets";
+	string PACKED_SHEETS_NAME = "bin/translation_tools_creature.packed_sheets";
 	loadForm("creature", PACKED_SHEETS_NAME, Creatures, false, false);
+	
 	if (Creatures.empty())
 	{
 		for (uint i=0;i<georgesPaths.size();++i)
@@ -750,4 +751,4 @@
 	CI18N::writeTextFile(workTitleFile.asString(), s, false);
 
 	return 0;
-}
\ No newline at end of file
+}
diff -r 81237b1bd66e code/ryzom/tools/translation_tools/extract_new_sheet_names.cpp
--- a/code/ryzom/tools/translation_tools/extract_new_sheet_names.cpp	Mon Sep 20 08:59:46 2010 +0200
+++ b/code/ryzom/tools/translation_tools/extract_new_sheet_names.cpp	Mon Sep 20 10:01:35 2010 +0200
@@ -198,7 +198,8 @@
 		return;
 	}
 	// get the key column index
-	uint	keyColIndex;
+	uint	keyColIndex = 0;
+	
 	if(!workSheet.findCol(columnId, keyColIndex))
 	{
 		nlwarning("Error: Don't find the column '%s'. '%s' Aborted", columnId.c_str(), workSheetFileName.c_str());
diff -r 81237b1bd66e code/ryzom/tools/translation_tools/main.cpp
--- a/code/ryzom/tools/translation_tools/main.cpp	Mon Sep 20 08:59:46 2010 +0200
+++ b/code/ryzom/tools/translation_tools/main.cpp	Mon Sep 20 10:01:35 2010 +0200
@@ -313,7 +313,8 @@
 		LOG("Error : the file languages.txt is empty !\n");
 		return 1;
 	}
-	LOG("Found %u language code\n", Languages.size());
+
+	LOG("Found %u language code\n", (uint) Languages.size());
 
 	return 0;
 }
@@ -1378,7 +1379,7 @@
 			return false;
 		makeHashCode(diff, false);
 
-		uint cmdCol;
+		uint cmdCol = 0;
 		if (!diff.findCol(ucstring("DIFF_CMD"), cmdCol))
 		{
 			LOG("Can't find DIFF_CMD column in %s ! Invalid diff file.\n", CFile::getFilename(fileList[i]).c_str());
@@ -1490,7 +1491,7 @@
 		TWorksheet::TRow row(context.Reference.ColCount+1);
 		for (uint j=0; j<context.Addition.ColCount; ++j)
 		{
-			uint colIndex;
+			uint colIndex = 0;
 			if (context.Reference.findCol(context.Addition.Data[0][j], colIndex))
 			{
 				row[colIndex+1] = context.Addition.Data[addIndex][j];
@@ -1508,7 +1509,7 @@
 		TWorksheet::TRow row(context.Reference.ColCount+1);
 		for (uint j=0; j<context.Reference.ColCount; ++j)
 		{
-			uint colIndex;
+			uint colIndex = 0;
 			if (context.Reference.findCol(context.Reference.Data[0][j], colIndex))
 			{
 				row[colIndex+1] = context.Reference.Data[refIndex][j];
@@ -1527,15 +1528,17 @@
 		// copy the old content (this fill data in column that don't exist in addition worksheet)
 		row = context.Reference.Data[refIndex];
 		row.insert(row.begin(), ucstring());
+
 		// changed element
 		for (uint j=0; j<context.Addition.ColCount; ++j)
 		{
-			uint colIndex;
+			uint colIndex = 0;
 			if (context.Reference.findCol(context.Addition.Data[0][j], colIndex))
 			{
 				row[colIndex+1] = context.Addition.Data[addIndex][j];
 			}
 		}
+
 		char temp[1024];
 		sprintf(temp, "DIFF CHANGED %u ", addIndex);
 		row[0] = temp;
@@ -3144,7 +3147,7 @@
 	
 	// create the diff version.
 	char temp[1024];
-	sprintf(temp, "%8.8X", ::time(NULL));
+	sprintf(temp, "%8.8X", (uint) ::time(NULL));
 	diffVersion = temp;
 
 	if (strcmp(argv[1], "make_work") == 0)